Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.editors
Class RwiPropertyMultiValueElementChooserEditor

    java.lang.Object
      |
      +--java.beans.PropertyEditorSupport
            |
            +--com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
                  |
                  +--com.togethersoft.openapi.ide.inspector.util.editors.ExtendedEditor
                        |
                        +--com.togethersoft.openapi.ide.inspector.util.editors.MultiValueEditor
                              |
                              +--com.togethersoft.openapi.ide.inspector.util.editors.RwiPropertyMultiValueElementChooserEditor

public class RwiPropertyMultiValueElementChooserEditor
extends MultiValueEditor

Represents editor for multi value RwiProperty as an element chooser.

Author:
  TogetherSoft

Fields inherited from class com.togethersoft.openapi.ide.inspector.util.editors.MultiValueEditor
`myValuesVector`

Fields inherited from class com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
`MEDIUM_DIMENSION, panel, SMALL_DIMENSION`

Constructor Summary
`RwiPropertyMultiValueElementChooserEditor(RwiElement rwiElement, String propertyName, int selectorType)` Constructs this editor which will be represented on UI as the MultiValueElementChooser.
`RwiPropertyMultiValueElementChooserEditor(RwiElement rwiElement, String propertyName, UnaryCondition displayFilter, UnaryCondition classFilter, boolean includeCurrentDiagram, UnaryCondition multiple, UnaryOperation title)` Constructs this editor which will be represented on UI as the MultiValueElementChooser.

Method Summary
`protected String` | `convertAtomicValueToString(Object atomicValue)`
`protected Object` | `convertStringToAtomicValue(String stringValue)`
`protected MultiValueUI` | `getUI()`

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.editors.MultiValueEditor
`convertValueToString, doAction, editingCanceled, editingStopped, filterValues, getValue, setValue`

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.editors.ExtendedEditor
`getChooserType, getInnerEditor`

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCustomEditor, init, removeCellEditorListener, setAlignment, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`isPaintable, paintValue, getJavaInitializationString, getAsText, setAsText, getTags, addPropertyChangeListener, removePropertyChangeListener, firePropertyChange`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Constructor Detail

### RwiPropertyMultiValueElementChooserEditor

    public RwiPropertyMultiValueElementChooserEditor(RwiElement rwiElement, String propertyName, int selectorType)

  Constructs this editor which will be represented on UI as the MultiValueElementChooser.
  Parameters:
    rwiElement - RWI element which has multi value RwiProperty
    propertyName - name of this multi value RwiProperty
    selectorType - predefined configuration of filters
  See Also:
    MultiValueElementChooserUI, IdeSelectorDialogType

### RwiPropertyMultiValueElementChooserEditor

    public RwiPropertyMultiValueElementChooserEditor(RwiElement rwiElement, String propertyName, UnaryCondition displayFilter, UnaryCondition classFilter, boolean includeCurrentDiagram, UnaryCondition multiple, UnaryOperation title)

  Constructs this editor which will be represented on UI as the MultiValueElementChooser.
  Parameters:
    rwiElement - RWI element which has multi value RwiProperty
    propertyName - name of this multi value RwiProperty
    displayFilter - filters contents of the trees
    classFilter - filters elements which can be choosen
    includeCurrentDiagram - if true then the first tree will be started from the current diagram
    multiple - if true then this chooser will work for the several selected RwiElements
    title - calculates the dialog box title
  See Also:
    MultiValueElementChooserUI, IdeSelectorDialogType

Method Detail

### convertAtomicValueToString

    protected String convertAtomicValueToString(Object atomicValue)

### convertStringToAtomicValue

    protected Object convertStringToAtomicValue(String stringValue)

### getUI

    protected MultiValueUI getUI()

Association Links

to Class com.togethersoft.openapi.ide.inspector.util.editors.MultiValueUI

to Class java.lang.String

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD